package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 部门
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.539
 * @Modify      :
 **/
@Data
@Entity
@Table(name="DEPARTMENT")
@DynamicInsert
@DynamicUpdate
@Api(value="部门",description = "部门")
public class Department extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="DEPARTMENT_CODE")
    @ApiParam(value ="部门代码" , access ="部门代码")
    private String departmentCode;
 
    @Column(name="RED_PARENT_NAME")
    @ApiParam(value ="父节点名称" , access ="父节点名称")
    private String redParentName;
 
    @Column(name="PARENT_ID")
    @ApiParam(value ="父节点ID" , access ="父节点ID")
    private String parentId;
 
    @Column(name="DEPARTMENT_STATUS")
    @ApiParam(value ="部门状态（1.正常，2.禁用）" , example ="1" , access ="部门状态（1.正常，2.禁用）")
    private Integer departmentStatus;
 
    @Column(name="RED_ORGANIZATION_NAME")
    @ApiParam(value ="所属组织名称" , access ="所属组织名称")
    private String redOrganizationName;
 
    @Column(name="ORGANIZATION_ID")
    @ApiParam(value ="所属组织" , access ="所属组织")
    private String organizationId;
 
    @Column(name="DEPARTMENT_SORT")
    @ApiParam(value ="排序" , example ="1" , access ="排序")
    private Integer departmentSort;

}
