package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 操作日志表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.720
 * @Modify      :
 **/
@Data
@Entity
@Table(name="LOG_ACTION")
@DynamicInsert
@DynamicUpdate
@Api(value="操作日志表",description = "操作日志表")
public class LogAction extends BaseBean {

 
    @Column(name="ACTION_MODULE_NAME")
    @ApiParam(value ="模块名称" , access ="模块名称")
    private String actionModuleName;
 
    @Column(name="ACTION_TYPE_ID")
    @ApiParam(value ="操作类型" , access ="操作类型")
    private String actionTypeId;
 
    @Column(name="ACTION_OBJECT")
    @ApiParam(value ="操作对象" , access ="操作对象")
    private String actionObject;
 
    @Column(name="ACTION_FIRST_DATA")
    @ApiParam(value ="操作前数据" , access ="操作前数据")
    private String actionFirstData;
 
    @Column(name="ACTION_LAST_DATA")
    @ApiParam(value ="操作后数据" , access ="操作后数据")
    private String actionLastData;
 
    @Column(name="ACTION_IP")
    @ApiParam(value ="服务器IP" , access ="服务器IP")
    private String actionIp;
 
    @Column(name="ACTION_TERMINAL")
    @ApiParam(value ="操作终端" , access ="操作终端")
    private String actionTerminal;
 
    @Column(name="ACTION_USER_NAME")
    @ApiParam(value ="操作人名称" , access ="操作人名称")
    private String actionUserName;

}
