package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 岗位
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.026
 * @Modify      :
 **/
@Data
@Entity
@Table(name="POSITION")
@DynamicInsert
@DynamicUpdate
@Api(value="岗位",description = "岗位")
public class Position extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="POSITION_CODE")
    @ApiParam(value ="岗位代码" , access ="岗位代码")
    private String positionCode;
 
    @Column(name="PARENT_ID")
    @ApiParam(value ="上级岗位" , access ="上级岗位")
    private String parentId;
 
    @Column(name="RED_PARENT_NAME")
    @ApiParam(value ="上级岗位名称" , access ="上级岗位名称")
    private String redParentName;
 
    @Column(name="POSITION_STATUS")
    @ApiParam(value ="状态（1.正常，2.禁用）" , example ="1" , access ="状态（1.正常，2.禁用）")
    private Integer positionStatus;
 
    @Column(name="POSITION_DESCRIPTION")
    @ApiParam(value ="描述" , access ="描述")
    private String positionDescription;

}
