package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统字典
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.550
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_DICTIONARY")
@DynamicInsert
@DynamicUpdate
@Api(value="系统字典",description = "系统字典")
public class SysDictionary extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="DICTIONART_CODE")
    @ApiParam(value ="字典代码" , access ="字典代码")
    private String dictionartCode;
 
    @Column(name="PARENT_ID")
    @ApiParam(value ="父节点" , access ="父节点")
    private String parentId;
 
    @Column(name="RED_PARENT_NAME")
    @ApiParam(value ="父级节点名称" , access ="父级节点名称")
    private String redParentName;
 
    @Column(name="DICTIONARY_VALUE")
    @ApiParam(value ="字典值" , access ="字典值")
    private String dictionaryValue;
 
    @Column(name="DICTIONARY_SORT")
    @ApiParam(value ="排序" , example ="1" , access ="排序")
    private Integer dictionarySort;
 
    @Column(name="DICTIONARY_DESCRIPTION")
    @ApiParam(value ="描述" , access ="描述")
    private String dictionaryDescription;

}
