package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 用户详细
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.910
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_USER_INFO")
@DynamicInsert
@DynamicUpdate
@Api(value="用户详细",description = "用户详细")
public class SysUserInfo extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="USER_ID")
    @ApiParam(value ="用户ID" , access ="用户ID")
    private String userId;
 
    @Column(name="ORGANIZE_ID")
    @ApiParam(value ="组织ID" , access ="组织ID")
    private String organizeId;
 
    @Column(name="USER_IMAGE_ID")
    @ApiParam(value ="用户图像" , access ="用户图像")
    private String userImageId;
 
    @Column(name="USER_SEX")
    @ApiParam(value ="性别（1.男，2.女）" , example ="1" , access ="性别（1.男，2.女）")
    private Integer userSex;
 
    @Column(name="USER_AGE")
    @ApiParam(value ="年龄" , example ="1" , access ="年龄")
    private Integer userAge;
 
    @Column(name="USER_LOGIN_LASTAAA_DATE_TIME")
    @ApiParam(value ="用户最后登录时间" , access ="用户最后登录时间")
    private String userLoginLastaaaDateTime;

}
