package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 定时任务
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.952
 * @Modify      :
 **/
@Data
@Entity
@Table(name="TASK_TIMED")
@DynamicInsert
@DynamicUpdate
@Api(value="定时任务",description = "定时任务")
public class TaskTimed extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="TIME_ID")
    @ApiParam(value ="时间表达式ID" , access ="时间表达式ID")
    private String timeId;
 
    @Column(name="RED_TIME_NAME")
    @ApiParam(value ="时间表达式名称" , access ="时间表达式名称")
    private String redTimeName;
 
    @Column(name="RED_TIME_EXPRESSION")
    @ApiParam(value ="时间表达式" , access ="时间表达式")
    private String redTimeExpression;
 
    @Column(name="TASK_START_DATE_TIME")
    @ApiParam(value ="任务开始时间" , access ="任务开始时间")
    private String taskStartDateTime;
 
    @Column(name="TASK_END_DATE_TIME")
    @ApiParam(value ="任务结束时间" , access ="任务结束时间")
    private String taskEndDateTime;
 
    @Column(name="TASK_NUM_SUM")
    @ApiParam(value ="执行总次数" , example ="0" , access ="执行总次数")
    private Integer taskNumSum;
 
    @Column(name="TASK_NUM_RUN")
    @ApiParam(value ="执行次数" , example ="0" , access ="执行次数")
    private Integer taskNumRun;
 
    @Column(name="TASK_TYPE_ID")
    @ApiParam(value ="任务类型（1.定时任务）" , example ="1" , access ="任务类型（1.定时任务）")
    private Integer taskTypeId;
 
    @Column(name="RESOURCE_CODE")
    @ApiParam(value ="资源代码" , access ="资源代码")
    private String resourceCode;
 
    @Column(name="TASK_CLASS_PATH")
    @ApiParam(value ="任务 class path" , access ="任务 class path")
    private String taskClassPath;
 
    @Column(name="TASK_URL")
    @ApiParam(value ="任务 url" , access ="任务 url")
    private String taskUrl;
 
    @Column(name="TASK_DESCRIPTION")
    @ApiParam(value ="任务描述" , access ="任务描述")
    private String taskDescription;
 
    @Column(name="TASK_STATUS")
    @ApiParam(value ="任务状态（1.正常，2.禁用）" , example ="1" , access ="任务状态（1.正常，2.禁用）")
    private Integer taskStatus;
 
    @Column(name="LAST_RUN_DATE_TIME")
    @ApiParam(value ="最后运行时间" , access ="最后运行时间")
    private String lastRunDateTime;

}
